Bug 8628 - warn about assignments that have no effect
warn about assignments that have no effect
Status: RESOLVED FIXED
Product: gcc
Classification: Unclassified
Component: java
3.3
: P3 enhancement
: 4.3.0
Assigned To: Not yet assigned to anyone
:
Depends on: 28067
Blocks:
  Show dependency treegraph
 
Reported: 2002-11-18 13:26 UTC by Tom Tromey
Modified: 2007-01-09 20:44 UTC (History)
2 users (show)

See Also:
Host:
Target:
Build:
Known to work:
Known to fail:
Last reconfirmed: 2005-09-30 05:25:51


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tom Tromey 2002-11-18 13:26:00 UTC
The eclipse java compiler will warn about statements
with no effect.  This can be useful to catch bugs like this:

void setField(int newVal) { this.val = val; }

We've had bugs like this in libgcj.

Release:
unknown
Comment 1 Dara Hazeghi 2003-06-08 17:09:20 UTC
Confirmed still present on branch and mainline.
Comment 2 Andrew Pinski 2003-06-09 01:10:38 UTC
Somehow this was in waiting when it should have been confirmed.
Comment 3 Tom Tromey 2007-01-09 20:44:25 UTC
All gcj front end bugs have been fixed by the gcj-eclipse branch merge.
I'm mass-closing the affected PRs.
If you believe one of these was closed in error, please reopen it
with a note explaining why.
Thanks.